package com.dgtis.dorm.manager.db.dao;

import com.dgtis.dorm.manager.db.domain.DemandSensitiveWord;

import java.util.Set;

public interface DemandSensitiveWordMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(DemandSensitiveWord record);

    int insertSelective(DemandSensitiveWord record);

    DemandSensitiveWord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(DemandSensitiveWord record);

    int updateByPrimaryKey(DemandSensitiveWord record);

    /**
     * 查询敏感词列表
     * @return
     */
    Set<String> selectDemandSensitiveWord();
}